Bug 66308 - NRWT should honor --skipped=[default|ignore|only], like ORWT does
: NRWT should honor --skipped=[default|ignore|only], like ORWT does
Status: RESOLVED FIXED
: WebKit
Tools / Tests
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
: 88680
  Show dependency treegraph
 
Reported: 2011-08-16 08:59 PST by
Modified: 2012-06-14 12:40 PST (History)


Attachments
Patch (12.39 KB, patch)
2012-06-13 17:45 PST, Dirk Pranke
rniwa: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-16 08:59:11 PST
NRWT should honor this flag from ORWT:

  --skipped=[default|ignore|only] Specifies how to treat the Skipped file
                                     default: Tests/directories listed in the Skipped file are not tested
                                     ignore:  The Skipped file is ignored
                                     only:    Only those tests/directories listed in the Skipped file will be run
------- Comment #1 From 2012-06-08 18:58:15 PST -------
Note that NRWT does have a -f/--force flag, which I think is roughly equivalent to --skipped=ignore . 

I would assume that this would treat tests marked as SKIP in the TestExpectations files the same way?

How should tests that are skipped either because of compile time flags or because they're in other platform directories be treated? The patch would be a lot easier if we ran those as well, but I could see how that might be undesirable.
------- Comment #2 From 2012-06-13 17:45:11 PST -------
Created an attachment (id=147450) [details]
Patch
------- Comment #3 From 2012-06-14 12:40:18 PST -------
Committed r120348: <http://trac.webkit.org/changeset/120348>